// creator  : weidu.exe (version 23100)
// argument : XXXXXXX.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~XXXXXXX~

IF ~False()~ THEN BEGIN 0 // from:
  SAY #24012 /* ~Well met, <CHARNAME>. I trust that, by your being here, you've defeated the Shade Lord.~ */
  IF ~~ THEN REPLY #24044 /* ~We have indeed defeated him. Did your journey home go well?~ */ GOTO 2
  IF ~~ THEN REPLY #24045 /* ~The creature is dead, no thanks to you.~ */ GOTO 8
END

IF ~~ THEN BEGIN 1 // from: 9.0 4.1
  SAY #24046 /* ~I am pleased to travel with you.~ */
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #24047 /* ~The journey went well, though the thought of my slain companions weighed heavy on me. It is good to know that you've avenged their foul end.~ */
  IF ~~ THEN REPLY #24146 /* ~To be honest, I don't care about your useless friends. I killed the Shade Lord only for the joy of it.~ */ GOTO 3
  IF ~~ THEN REPLY #24151 /* ~Many souls were avenged when we destroyed the Shade Lord. I only wish that we could have saved them from his grasp. That is the nature of this life. It is quite tragic at times. What do you do now?~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #24150 /* ~That is a cruel thing to say. Perhaps it is better that I did not join you back in that evil cave. If this was a social visit then it has ended. Begone from my abode!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #24152 /* ~At present I am on sabbatical. I find myself missing the road and I long again for adventure. Does your party require another sword arm?~ */
  IF ~~ THEN REPLY #24153 /* ~Not at this time, good halfling. Though, should we have need we shall surely call on you.~ */ GOTO 6
  IF ~~ THEN REPLY #24154 /* ~I would be pleased to have you join my party.~ */ GOTO 1
END

IF ~False()~ THEN BEGIN 5 // from:
  SAY #24155 /* ~You have returned, I see. What is it that you need?~ */
  IF ~~ THEN REPLY #24156 /* ~We need nothing at this time.~ */ GOTO 6
  IF ~~ THEN REPLY #24157 /* ~I should be honored to have you join my party.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0
  SAY #24159 /* ~I do grow weary of being about the house and I long to adventure once more. Should you require me in the future, I shall be here.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #24161 /* ~In truth, since we last met, I have considered again raising up a party of my own, though it is a terrible bother. I shall come with you, then.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 0.1
  SAY #24162 /* ~That is a cruel thing to say. It would have done no good to face him without your support. Perhaps it is better that I did not join you back in that evil cave. If this was a social visit then it has ended. Begone from my abode!~ */
  IF ~~ THEN EXIT
END

IF ~False()~ THEN BEGIN 9 // from:
  SAY #48238 /* ~Should we continue as before, or is this a turning point?~ */
  IF ~~ THEN REPLY #48239 /* ~Please, remain in the group.~ */ GOTO 1
  IF ~!HappinessLT(Myself,0)~ THEN REPLY #48240 /* ~It is time we moved on. It's time for you to go.~ */ GOTO 10
  IF ~HappinessLT(Myself,0)~ THEN REPLY #48241 /* ~It is time we moved on. It's time for you to go.~ */ GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.1
  SAY #48259 /* ~Very well, though I would not turn down the offer to walk with you again. If you wish me, I shall be at my parents' home in Trademeet.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from: 9.2
  SAY #48260 /* ~Then our travels are done with. I shall seek my way with those that are more alike in belief. I am sorry it did not work out. Farewell.~ */
  IF ~~ THEN EXIT
END
